Bug 81422 - 3c59x module fails with 3c556B cards
3c59x module fails with 3c556B cards
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks: 79579 CambridgeTarget
  Show dependency treegraph
 
Reported: 2003-01-09 05:09 EST by Xavier Spriet
Modified: 2008-01-17 12:49 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xavier Spriet 2003-01-09 05:09:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1; MultiZilla v1.1.33
(b)) Gecko/20021218

Description of problem:
the 3c59x module that was handling all network driver operations for many NICs
including the 3c556B Hurricane card isn't working with 3c556B at all anymore.
mii-tool output: No MII transceiver present!.

This seems to be a 2.4.20 kernel problem since I've had the same problems with
Gentoo 1.4-rc2 and a custom 2.4.20 kernel as well.

dmesg output: eth0: command 0x5800 did not complete! Status=0xffff
eth0: command 0x2804 did not complete! Statys=0xffff
and so on for about 10 lines.

Kernel 2.4.18 (Red Hat 8.0) was working fine with this network card.
This is happenning on an IBM Thinkpad A21m

MAC address reported by ifconfig for eth0 is FF:FF:FF:FF:FF:FF

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. boot an A21m laptop or probably any computer equipped with a 3c556B Hurricane
CardBus (rev 32) card
2.type `dhclient` or `ifconfig eth0 up` or `mii-tool`
3.watch as the driver seems to be unable to find or activate a transceiver.
    

Actual Results:  Many errors, no network operation possible, network adapter
disabled

Expected Results:  Network operational

Additional info:

I did contact Donald Becker, the author of the module, about this but I don't
really think he still maintains that module.
Comment 1 Bugzilla owner 2004-09-30 11:40:22 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.